Bug 171365 - New port: chinese/fcitx-table-extra - Table-based IMs for Fcitx
Summary: New port: chinese/fcitx-table-extra - Table-based IMs for Fcitx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 04:50 UTC by lichray
Modified: 2012-09-08 12:00 UTC (History)
0 users

See Also:


Attachments
fcitx-table-extra.shar (3.89 KB, text/plain)
2012-09-06 04:50 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-09-06 04:50:08 UTC
	
	Fcitx has a fcitx-table.so engine, and this port install some extra data files to be used with this engine.

	https://github.com/fcitx/fcitx-table-extra
Comment 1 Wen Heping freebsd_committer 2012-09-08 02:21:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-08 11:53:20 UTC
Author: wen
Date: Sat Sep  8 10:53:06 2012
New Revision: 303891
URL: http://svn.freebsd.org/changeset/ports/303891

Log:
  fcitx-table-extra provides Boshiamy, Zhengma, Cangjie, and Quick input
  methods driven by the fcitx-table IM engine.
  
  WWW: http://code.google.com/p/fcitx/
  
  PR:		171365
  Submitted by:	Zhihao Yuan <lichray@gmail.com>

Added:
  head/chinese/fcitx-table-extra/
  head/chinese/fcitx-table-extra/Makefile   (contents, props changed)
  head/chinese/fcitx-table-extra/distinfo   (contents, props changed)
  head/chinese/fcitx-table-extra/pkg-descr   (contents, props changed)
  head/chinese/fcitx-table-extra/pkg-plist   (contents, props changed)
Modified:
  head/chinese/Makefile

Modified: head/chinese/Makefile
==============================================================================
--- head/chinese/Makefile	Sat Sep  8 10:32:37 2012	(r303890)
+++ head/chinese/Makefile	Sat Sep  8 10:53:06 2012	(r303891)
@@ -44,6 +44,7 @@
     SUBDIR += fcitx-googlepinyin
     SUBDIR += fcitx-libpinyin
     SUBDIR += fcitx-sunpinyin
+    SUBDIR += fcitx-table-extra
     SUBDIR += fcitx-ui-light
     SUBDIR += fireflyttf
     SUBDIR += font-std

Added: head/chinese/fcitx-table-extra/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-table-extra/Makefile	Sat Sep  8 10:53:06 2012	(r303891)
@@ -0,0 +1,28 @@
+# New ports collection makefile for:	fcitx-table-extra
+# Date created:				5 Sep 2012
+# Whom:			Zhihao Yuan <lichray@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	fcitx-table-extra
+PORTVERSION=	0.3.2
+CATEGORIES=	chinese
+MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+DIST_SUBDIR=	fcitx
+
+MAINTAINER=	lichray@gmail.com
+COMMENT=	Table-based input methods for Fcitx
+
+LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx
+
+USE_XZ=		yes
+USE_GETTEXT=	yes
+USE_CMAKE=	yes
+USE_GNOME=	intltool
+INSTALLS_ICONS=	yes
+STRIP=
+
+PROJECTHOST=	fcitx
+
+.include <bsd.port.mk>

Added: head/chinese/fcitx-table-extra/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-table-extra/distinfo	Sat Sep  8 10:53:06 2012	(r303891)
@@ -0,0 +1,2 @@
+SHA256 (fcitx/fcitx-table-extra-0.3.2.tar.xz) = fb118f365818ddaa8d29fdfea5492805dad51ee3d8e87fe45016a760e5ee1c7a
+SIZE (fcitx/fcitx-table-extra-0.3.2.tar.xz) = 3354240

Added: head/chinese/fcitx-table-extra/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-table-extra/pkg-descr	Sat Sep  8 10:53:06 2012	(r303891)
@@ -0,0 +1,4 @@
+fcitx-table-extra provides Boshiamy, Zhengma, Cangjie, and Quick input
+methods driven by the fcitx-table IM engine.
+
+WWW: http://code.google.com/p/fcitx/

Added: head/chinese/fcitx-table-extra/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-table-extra/pkg-plist	Sat Sep  8 10:53:06 2012	(r303891)
@@ -0,0 +1,54 @@
+share/fcitx/table/boshiamy.conf
+share/fcitx/table/zhengma.conf
+share/fcitx/table/cangjie3.conf
+share/fcitx/table/cangjie5.conf
+share/fcitx/table/cangjie-big.conf
+share/fcitx/table/quick3.conf
+share/fcitx/table/quick5.conf
+share/fcitx/table/quick-classic.conf
+share/fcitx/table/scj6.conf
+share/fcitx/table/easy-big.conf
+share/fcitx/table/wu.conf
+share/fcitx/table/cantonese.conf
+share/fcitx/table/cantonhk.conf
+share/fcitx/table/jyutping.conf
+share/fcitx/table/stroke5.conf
+share/fcitx/table/array30.conf
+share/fcitx/table/array30-big.conf
+share/fcitx/table/wubi-large.conf
+share/fcitx/table/zhengma-large.conf
+share/fcitx/table/boshiamy.mb
+share/fcitx/table/zhengma.mb
+share/fcitx/table/cangjie3.mb
+share/fcitx/table/cangjie5.mb
+share/fcitx/table/cangjie-big.mb
+share/fcitx/table/quick3.mb
+share/fcitx/table/quick5.mb
+share/fcitx/table/quick-classic.mb
+share/fcitx/table/scj6.mb
+share/fcitx/table/easy-big.mb
+share/fcitx/table/wu.mb
+share/fcitx/table/cantonese.mb
+share/fcitx/table/cantonhk.mb
+share/fcitx/table/jyutping.mb
+share/fcitx/table/stroke5.mb
+share/fcitx/table/array30.mb
+share/fcitx/table/array30-big.mb
+share/fcitx/table/wubi-large.mb
+share/fcitx/table/zhengma-large.mb
+share/icons/hicolor/48x48/apps/fcitx-cantonhk.png
+share/icons/hicolor/48x48/apps/fcitx-jyutping.png
+share/icons/hicolor/48x48/apps/fcitx-quick-classic.png
+share/icons/hicolor/48x48/apps/fcitx-quick3.png
+share/icons/hicolor/48x48/apps/fcitx-quick5.png
+share/icons/hicolor/48x48/apps/fcitx-scj6.png
+share/icons/hicolor/48x48/apps/fcitx-wu.png
+share/icons/hicolor/48x48/apps/fcitx-zhengma.png
+share/icons/hicolor/64x64/apps/fcitx-array30-big.png
+share/icons/hicolor/64x64/apps/fcitx-array30.png
+share/icons/hicolor/64x64/apps/fcitx-boshiamy.png
+share/icons/hicolor/64x64/apps/fcitx-cantonese.png
+share/icons/hicolor/64x64/apps/fcitx-easy-big.png
+share/icons/hicolor/64x64/apps/fcitx-stroke5.png
+share/locale/zh_CN/LC_MESSAGES/fcitx-table-extra.mo
+share/locale/zh_TW/LC_MESSAGES/fcitx-table-extra.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-09-08 11:54:27 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!